#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Config
%define	pnam	Any
Summary:	Config::Any - Load configuration from different file formats, transparently
Summary(pl.UTF-8):	Config::Any - przezroczyste wczytywanie konfiguracji z różnych formatów plików
Name:		perl-Config-Any
Version:	0.23
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Config/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	97a303ef7426e5b6888bb7dd294a7e7a
URL:		http://search.cpan.org/dist/Config-Any/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Config-General
BuildRequires:	perl-Config-Tiny
BuildRequires:	perl-JSON
BuildRequires:	perl-Module-Pluggable >= 3.01
BuildRequires:	perl-XML-Simple
BuildRequires:	perl-YAML
BuildRequires:	perl-version
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Config::Any provides a facility for Perl applications and libraries
to load configuration data from multiple different file formats. It
supports XML, YAML, JSON, Apache-style configuration, Windows INI
files, and even Perl code.

The rationale for this module is as follows: Perl programs are deployed
on many different platforms and integrated with many different
systems. Systems administrators and end users may prefer different
configuration formats than the developers. The flexibility inherent
in a multiple format configuration loader allows different users
to make different choices, without generating extra work for the
developers. As a developer you only need to learn a single interface
to be able to use the power of different configuration formats.

%description -l pl.UTF-8
Config::Any ułatwia aplikacjom i bibliotekom perlowym wczytywanie
danych konfiguracyjnych z wielu różnych formatów plików. Obsługuje
XML, YAML, JSON, konfigurację w stylu Apache'a, pliki Windows INI, a
nawet kod perlowy.

Uzasadnienie istnienia tego modułu jest takie, że programy w Perlu są
wdrażane na wielu różnych platformach i integrowane z wieloma różnymi
systemami. Administratorzy i użytkownicy końcowi mogą preferować inne
formaty konfiguracyjne niż programiści. Elastyczność tkwiąca w
możliwości wczytywania wielu formatów pozwala różnym użytkownikom
dokonywać różnych wyborów bez generowania dodatkowej pracy dla
programistów. Wystarczy, że programista nauczy się jednego interfejsu
i może wykorzystać potęgę różnych formatów konfiguracji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	installdirs=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Config/*.pm
%{perl_vendorlib}/Config/Any
%{_mandir}/man3/*
%changelog
* Sat Nov 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Config-Any.git;a=log;h=auto/th/perl-Config-Any-0.23-2

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3a98a0e
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> 5b3c180
- up to 0.23

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 1a350c1
- updated to 0.17

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 9819d9f
- cleanup

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> beeaf47
- unified Source URL

* Wed Dec 12 2007 Maciej Pijanka <agaran@pld-linux.org> 4f0dd0b
- up to 0.10, rel 1, builds here

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 056c44c
- BR: perl-Module-Build

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> f262ff7
- pl

* Fri Mar 23 2007 radek <radek@pld-linux.org> 6b775a3
- new

